local i=require"luci.model.tasks"
local o=require"luci.model.unifi"
local a,t,e
a=i.docker_map("unifi","unifi","/usr/libexec/istorec/unifi.sh",
translate("UnifiController"),
translate("UnifiController ubnt.")
..translate("Official website:")..' <a href=\"https://www.ui.com/\" target=\"_blank\">https://www.ui.com/</a>')
t=a:section(SimpleSection,translate("Service Status"),translate("UnifiController status:"))
t:append(Template("unifi/status"))
t=a:section(TypedSection,"main",translate("Setup"),translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Flag,"hostnet",translate("Host network"),translate("UnifiController running in host network, port is always 8443 if enabled"))
e.default=0
e.rmempty=false
e=t:option(Value,"http_port",translate("HTTPS Port").."<b>*</b>")
e.default="8083"
e.datatype="string"
e:depends("hostnet",0)
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e:value("lscr.io/linuxserver/unifi-controller:latest","lscr.io/linuxserver/unifi-controller:latest")
e.default="lscr.io/linuxserver/unifi-controller:latest"
local i=o.blocks()
local n=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local t,o=o.find_paths(i,n,"Configs")
for a,t in pairs(t)do
e:value(t,t)
end
e.default=o
return a
